Genius Group Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/genius-group-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1762732800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1847806/000149315225021438/form6-k.htm",
    "holding_balance": 138.0,
    "holding_net_change": -62.0,
    "transaction_value_usd": 6570722.18,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1764806400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.geniusgroup.net/news-events/press-releases/detail/218/genius-group-increases-bitcoin-treasury-by-30-from-138-to",
    "holding_balance": 180.0,
    "holding_net_change": 42.0,
    "transaction_value_usd": 3869292.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.geniusgroup.net/news-events/press-releases/detail/229/genius-group-announces-2025-financial-results-with-80-pro",
    "holding_balance": 154.0,
    "holding_net_change": -26.0,
    "transaction_value_usd": 2274773.28,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    154.0
  ],
  [
    1779062400000,
    154.0
  ],
  [
    1779148800000,
    154.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    11924198.44
  ],
  [
    1779062400000,
    11849417.58
  ],
  [
    1779148800000,
    11821041.54
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.241,
    "date": "2026-05-15",
    "high": 0.257,
    "open": 0.257,
    "close": 0.247,
    "volume": 947900
  },
  {
    "low": 0.224,
    "date": "2026-05-18",
    "high": 0.246,
    "open": 0.244,
    "close": 0.227,
    "volume": 2309600
  },
  {
    "low": 0.23,
    "date": "2026-05-19",
    "high": 0.24,
    "open": 0.238,
    "close": 0.23,
    "volume": 941562
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -32.75,
  "six_month_return": -73.35,
  "three_month_return": -41.62
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/genius-group-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 25.2,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}